#ifndef _TRACK_H_INCL
#define _TRACK_H_INCL

enum ENVELOPE_PHASE
{
    ENV_ATTACK,
    ENV_DECAY,
    ENV_SUSTIN,
    ENV_RELEASE
};

class Track
{
    public:
    
        /**
        * Now Envelope Level(max 0xffffffff upper 16bit is integer lower 16bit is decimal)
        * 
        */
        long m_NowLevel;
        ENVELOPE_PHASE m_Phase;
    
        long m_Attack_Speed;
        long m_Decay_Speed;
        long m_Decay_Level;
        long m_Sustin_Speed;
        long m_Release_Speed;
        long m_Sustin_Speed;
        long m_Release_Speed;
        
        long m_LFO_Delay;
        long m_LFO_Speed;
        long m_LFO_Level;
}
#endif