#ifndef _WT_H_INCL
#define _WT_H_INCL
#include "Occilator.h"

class WT : public Occilator
{
    public:
        /**
        * Set waveform.
        * @param wave Array of waveform.Sutulation is (0xffff).Data number is 16.
        */
        virtual void setWave(unsigned long wave[16]);
        
        unsigned long m_Wave[16];
        
        virtual unsigned long tick();
        
        WT(long interrupt_us);
};
#endif